Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 16:48:44 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Tue, 22 Jul 2025 14:45:12 +0200
> 
> >>>>> On Tue, 22 Jul 2025 14:33:38 +0200, Samuel Thibault <[email-masked]> said:
> 
>     >> That was my misinterpretation of the request. Itʼs easy enough to
>     >> restrict the change to only affect the '\t\b' case, but weʼll have to
>     >> come up with a new name for the user option :-)
> 
>     Samuel> Since \t\b is actually slower than \e[C, I don't see why it should be an
>     Samuel> option.
> 
> Youʼre a braver man than I to make such a statement, and I for one
> will not propose a change like this that cannot be controlled with a
> variable of some sort.

Yes, I agree.  If only to have a "fire escape" if we ever bump into
some use case where this change might be a culprit, and will want an
easy way of testing that.